Joomla.it Forum

Joomla! 3 => Installazione, migrazione e aggiornamento => Topic aperto da: davide1482 - 20 Mar 2017, 18:35:42

Titolo: Aggiornamento da joomla 3.4.8 a 3.6.5
Inserito da: davide1482 - 20 Mar 2017, 18:35:42
Ciao a tutti, :)
ho provato ad eseguire l'aggiornamento di joomla dalla versione 3.4.8 alla 3.6.5, ma ho incontrato alcune difficoltà:


- ho realizzato il backup del sito con akeeba backup, utilizzando una versione compatibile con la mia versione di joomla e del php 5.3.29, e fin qui non ho avuto grosse difficoltà, ho salvato il file tramite filezilla;
- ho cambiato la versione del php interfacciandomi con il mio host scegliendo la più aggiornata 5.6.24, e non so se questa mossa sia stata un po' arrischiata, d'altra parte solo la nuova versione del php corrispondeva alle richieste presenti nell'articolo di Alex Red http://www.joomla.it/guide-joomla-3/8422-come-aggiornare-la-versione-di-joomla.html (http://www.joomla.it/guide-joomla-3/8422-come-aggiornare-la-versione-di-joomla.html)
- ho avviato la procedura di aggiornamento automatico dopo aver effettuato tutte le verifiche consigliate nell'articolo.


Poco dopo aver avviato l'aggiornamento la procedura si è bloccata.
Adesso mi dà un'ulteriore opzione per il metodo di installazione con cui eseguire l'aggiornamento:


com_joomlaupdate_view_default_tab_onlin e

com_joomlaupdate_view_default_tab_uploa d


Sapete di cosa si tratta, se mi conviene percorrere questa strada?

O in alternativa cos'altro mi occorre sapere?
Qualcuno sa guidarmi? :(
Titolo: Re:Aggiornamento da joomla 3.4.8 a 3.6.5
Inserito da: alexred - 20 Mar 2017, 18:41:15
Ciao davide1482,
probabilmente il tuo servizio di hosting non è pienamente compatibile con la procedura di aggiornamento di Joomla.
Prova a cambiare hosting ripristinando su questo il tuo backup e riprovando la procedura di aggiornamento di Joomla.
Titolo: Re:Aggiornamento da joomla 3.4.8 a 3.6.5
Inserito da: davide1482 - 21 Mar 2017, 11:17:13
Ciao Alex,  :-\
grazie della risposta.
Non ci sono altri modi per ripristinare il sito e portarlo all'ultima versione di joomla?
La procedura alternativa che mi viene proposta potrebbe funzionare?
Preferirei non cambiare host perché si tratta del sito aziendale.





Titolo: Re:Aggiornamento da joomla 3.4.8 a 3.6.5
Inserito da: alexred - 21 Mar 2017, 11:20:42
No, non ci sono altri modi. L'unica soluzione è utilizzare piattaforme server che consentano di sfruttare facilmente l'aggiornamento automatico di Joomla direttamente da pannello di controllo.
Titolo: Re:Aggiornamento da joomla 3.4.8 a 3.6.5
Inserito da: davide1482 - 28 Mar 2017, 19:16:10
Non sono ancora riuscito a venirne a capo.
Sono riuscito a trasferire il sito su un altro server ma ancora la procedura di aggiornamento automatico non funziona.
In particolare nella schermata di aggiornamento mi mostra questo avviso:


COM_JOOMLAUPDATE_VIEW_DEFAULT_UPLOAD_IN TRO


La cartella temporanea php non è impostata.
La cartella temporanea PHP è la cartella che PHP utilizza per immagazzinare un file prima che Joomla possa accedere a questo file. La cartella non settata non è sempre un problema, se hai problemi con i file manifest o i file caricati che non vengono trovati, impostare questo nel tuo file php.ini potrebbe risolvere il problema.


e mi chiede di installare questa cartella dandomi come opzione questo metodo di installazione:


COM_JOOMLAUPDATE_VIEW_DEFAULT_TAB_UPLOA D
COM_JOOMLAUPDATE_VIEW_UPLOAD_PACKAGE_FI LE


potrebbe essere qui il problema del mancato aggiornamento automatico? Devo passare all'azione caricando e installando questo pacchetto?
Titolo: Re:Aggiornamento da joomla 3.4.8 a 3.6.5
Inserito da: alexred - 28 Mar 2017, 21:48:52
Prova a verificare in  Sistema --> Informazioni di sistema --> permessi cartella
che sia tutto verde e scrivibile
Titolo: Re:Aggiornamento da joomla 3.4.8 a 3.6.5
Inserito da: davide1482 - 29 Mar 2017, 20:20:26
A proposito di questo Alex, nel campo sistema-informazioni di sistema, mi compare questo messaggio di errore

Fatal error: Call to undefined method JToolbarHelper::link() in /home/tecnol51/public_html/administrator/components/com_admin/views/sysinfo/view.html.php on line 119


prima di effettuare l'aggiornamento automatico sul server originario, comunque, avevo modificato tutti i parametri in modo che fossero scrivibili.